Dry run a function
Requires an API key with the environment:functions:dryrun scope. Learn more about API key scopes.
Starts an asynchronous dry run for TypeScript function source code against a connection without deploying it.
Starts an asynchronous dry run for TypeScript function source code against a connection without deploying it.
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
application/json- body
integration_id*stringThe integration ID (unique_key) that you created in Tenklo.
function_type*RunnableFunctionType"action""sync"code*stringThe TypeScript source code for the function.
1 <= lengthconnection_id*stringThe connection ID to use for the dry run.
input?unknownOptional JSON input payload passed to the function.
metadata?Optional metadata available to the function during the dry run.
checkpoint?Optional checkpoint payload available to sync functions during the dry run.
last_sync_date?stringOptional last sync date available to sync functions during the dry run.
date-timeSuccessfully started the dry run.
application/json- response
id*stringuuidstatus*string"waiting""running"created_at*stringdate-timecurl -X POST 'https://api.tenklo.dev/functions/dryruns' \ -H 'Content-Type: application/json' \ -d '{ "integration_id": "string", "function_type": "action", "code": "string", "connection_id": "string"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "waiting", "created_at": "2019-08-24T14:15:22Z"}